Package org.apache.tools.ant.util.optional

## Class WeakishReference12

- java.lang.Object
- - org.apache.tools.ant.util.WeakishReference
  - - org.apache.tools.ant.util.WeakishReference.HardReference
    - - org.apache.tools.ant.util.optional.WeakishReference12

-     @Deprecated
      public class WeakishReference12
      extends WeakishReference.HardReference

  Deprecated.
  since 1.7. Just use `WeakReference` directly. Note that in ant1.7 is parent was changed to extend HardReference. This is because the latter has access to the (package scoped) WeakishReference(Object) constructor, and both that and this are thin facades on the underlying no-longer-abstract base class.
  This is a reference that really is is Weak, as it uses the appropriate java.lang.ref class.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tools.ant.util.WeakishReference

      `WeakishReference.HardReference`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WeakishReference12​(java.lang.Object reference)` | Deprecated. create a new soft reference, which is bound to a Weak reference inside

  - ### Method Summary

    - ### Methods inherited from class org.apache.tools.ant.util.WeakishReference

      `createReference, get`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeakishReference12

          public WeakishReference12​(java.lang.Object reference)

      Deprecated.
      create a new soft reference, which is bound to a Weak reference inside
      Parameters:
        `reference` - the object to reference.
      See Also:
        `WeakReference`